//
//  Converter.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "ConversionOptions.h"
#import "Feedbacker.h"
#import "Macros.h"

@interface Converter : NSObject

//--------------------------------------
#pragma mark properties

@property (retain) ConversionOptions *options;
@property (retain) NSArray *inputURLs;
@property (retain) NSURL *outputDirectoryURL;
@property (retain) NSObject <Feedbacker> *feedbacker;

//--------------------------------------
#pragma mark methods

- (void)start;
- (void)stop;

@end
