//
//  FeedbackController.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "Feedbacker.h"
#import "Macros.h"

@class MainController;

@interface FeedbackController : NSObject <Feedbacker>

//--------------------------------------
#pragma mark properties

@property (weak) IBOutlet NSTextField *progressTextField;
@property (weak) IBOutlet NSProgressIndicator *progressIndicator;
@property (weak) IBOutlet NSTextField *remainingTimeTextField;

@property (weak) IBOutlet NSTextField *errorContextTextField;
@property (unsafe_unretained) IBOutlet NSTextView *faultyFilesTextView;

@property (weak) IBOutlet MainController *mainController;

//--------------------------------------
#pragma mark methods

- (IBAction)stop:(id)sender;
- (IBAction)restart:(id)sender;

- (void)resetProgressView;

@end
