//
//  Feedbacker.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "Macros.h"

@protocol Feedbacker <NSObject>

- (void)feedbackTotalInputSize:(uint64_t)size;
- (void)feedbackCurrentFileName:(NSString *)name;
- (void)feedbackProgress:(double)progress;
- (void)feedbackRemainingTime:(double)nanoseconds;

- (void)feedbackFaultyInputNames:(NSArray *)names;
- (void)feedbackSuccess;

@end
