//
//  Functions.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "Macros.h"

uint64_t fileSize(NSString *path);
uint64_t nanosecondsSinceBoot(void);
double progressEstimation(uint64_t t, double v, uint64_t x_max);
unsigned systemVersion(void); // Returns 0x0a0704 for 10.7.4 etc.
NSString *timeEstimationFromSeconds(uint64_t seconds);
