//
//  InputFile.m
//

#import "InputFile.h"
#import "Functions.h"

@implementation InputFile

synth(url);
synth(path);
synth(size);

+ (InputFile *)newInputFileWithURL:(NSURL *)url
{
	if ([url isFileURL]) {
		NSString *path = [url path];
		uint64_t size = fileSize(path);
		InputFile *file = [InputFile new];
		[file setUrl:url];
		[file setPath:path];
		[file setSize:size];
		return file;
	}
	else
		return nil;
}

@end
