//
//  ConversionOptions.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "ChannelLayout.h"
#import "DataFormat.h"
#import "FileFormat.h"
#import "Macros.h"

@interface ConversionOptions : NSObject

@property (assign) channelLayout_t *channelLayout;
@property (assign) unsigned numberOfChannels;
@property (assign) fileFormat_t *fileFormat;
@property (assign) dataFormat_t *dataFormat;
@property (assign) unsigned sampleRate;
@property (assign) unsigned srcQuality;
@property (assign) unsigned srcComplexity;
@property (assign) unsigned bitRate;
@property (assign) unsigned strategy;
@property (assign) unsigned codecQuality;
@property (assign) BOOL fillerFlag;

@end
