//
//  DataFormat.m
//

#import "DataFormat.h"

dataFormat_t dataFormat_BEI16 = {
	@"BEI16",
	@"Linear PCM, integer, 16-bit, big endian",
	0.078, 1, 0, 0, 1
};

dataFormat_t dataFormat_LEI16 = {
	@"LEI16",
	@"Linear PCM, integer, 16-bit, little endian",
	0.083, 1, 0, 0, 1
};

dataFormat_t dataFormat_BEI24 = {
	@"BEI24",
	@"Linear PCM, integer, 24-bit, big endian",
	0.045, 1, 0, 0, 1
};

dataFormat_t dataFormat_LEI24 = {
	@"LEI24",
	@"Linear PCM, integer, 24-bit, little endian",
	0.054, 1, 0, 0, 1
};

dataFormat_t dataFormat_BEI32 = {
	@"BEI32",
	@"Linear PCM, integer, 32-bit, big endian",
	0.038, 1, 0, 0, 1
};

dataFormat_t dataFormat_LEI32 = {
	@"LEI32",
	@"Linear PCM, integer, 32-bit, little endian",
	0.039, 1, 0, 0, 1
};

dataFormat_t dataFormat_BEF32 = {
	@"BEF32",
	@"Linear PCM, floating point, 32-bit, big endian",
	0.036, 1, 0, 0, 1
};

dataFormat_t dataFormat_LEF32 = {
	@"LEF32",
	@"Linear PCM, floating point, 32-bit, little endian",
	0.038, 1, 0, 0, 1
};

dataFormat_t dataFormat_BEF64 = {
	@"BEF64",
	@"Linear PCM, floating point, 64-bit, big endian",
	0.018, 1, 0, 0, 1
};

dataFormat_t dataFormat_LEF64 = {
	@"LEF64",
	@"Linear PCM, floating point, 64-bit, little endian",
	0.019, 1, 0, 0, 1
};

dataFormat_t dataFormat_aac = {
	@"aac ",
	@"MPEG-4 AAC",
	0.011, 0, 1, 1, 1
};

dataFormat_t dataFormat_aacl = {
	@"aacl",
	@"MPEG-4 AAC low delay",
	0.010, 0, 1, 1, 0
};

dataFormat_t dataFormat_alac = {
	@"alac",
	@"Apple Lossless",
	0.022, 0, 0, 1, 0
};

dataFormat_t dataFormat_alaw = {
	@"alaw",
	@"a-Law 2:1",
	0.124, 0, 0, 0, 1
};

dataFormat_t dataFormat_ulaw = {
	@"ulaw",
	@"µ-Law 2:1",
	0.149, 0, 0, 0, 1
};

dataFormat_t dataFormat_ima4 = {
	@"ima4",
	@"IMA 4:1 ADPCM",
	0.096, 0, 0, 0, 1
};
