//
//  FileFormat.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "DataFormat.h"
#import "Macros.h"

typedef struct {
	NSString * __unsafe_unretained code;
	NSString * __unsafe_unretained name;
	NSString * __unsafe_unretained extension;
	dataFormat_t **dataFormats;
	unsigned indexOfDefaultDataFormat;
} fileFormat_t;

#define numberOfFileFormats 10

extern fileFormat_t fileFormats[numberOfFileFormats];

#define SEPERATOR cast(void *)(-1)
